Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003517 [JEDI VCL] 00 JVCL Components minor always 2006-02-15 10:03 2006-07-29 07:33
Reporter Ramengo View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003517: JvImagesViewer OnItemChanged when MultiSelect is true
Description If MultiSelect is true, when selecting two or more images (shift+click or ctrl+click), the OnItemChanged triggers only for the first selection.
It should fire on every click if selection is changed.
Additional Information
Tags No tags attached.
Attached Files zip file icon Test.zip [^] (10,957 bytes) 2006-04-19 09:39

- Relationships

-  Notes
(0008978)
obones (administrator)
2006-04-05 06:43

Please provide the zipped sources of a sample application.
(0009143)
Ramengo (reporter)
2006-04-19 09:41

Try the attached test application. The caption counts how many time the OnItemChanged event triggers.
The bug occours when you shift click to select a range of images.
(0009508)
obones (administrator)
2006-06-09 01:48

I have just tried with the latest JVCL under Delphi 2006, the event is triggered every time. Please try and let us know:

http://jvcl.sf.net/daily/ [^]
(0009902)
obones (administrator)
2006-07-29 07:33

Well, no news from the OP, not seing the problem, assuming this is fixed.

- Issue History
Date Modified Username Field Change
2006-02-15 10:03 Ramengo New Issue
2006-04-05 06:43 obones Note Added: 0008978
2006-04-05 06:43 obones Status new => feedback
2006-04-19 09:39 Ramengo File Added: Test.zip
2006-04-19 09:41 Ramengo Note Added: 0009143
2006-06-09 01:48 obones Note Added: 0009508
2006-07-29 07:33 obones Status feedback => resolved
2006-07-29 07:33 obones Fixed in Version => Daily / SVN
2006-07-29 07:33 obones Resolution open => fixed
2006-07-29 07:33 obones Assigned To => obones
2006-07-29 07:33 obones Note Added: 0009902
2006-08-30 06:01 Ramengo Issue Monitored: Ramengo
2006-08-30 06:01 Ramengo Issue End Monitor: Ramengo


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker